Index: doc/gtl_connectivity_extraction.htm
===================================================================
--- doc/gtl_connectivity_extraction.htm	(revision 55867)
+++ doc/gtl_connectivity_extraction.htm	(working copy)
@@ -69,7 +69,7 @@
 an edge exists in the graph.&nbsp; It is required that such vector pre-allocate 
 sufficient elements to store the graph generated by the algorithm, because only 
 the operator[] is used internally to access the graph&nbsp;&nbsp; The other 
-supported graph format is std::map&lt;std::set&lt;int&gt; &gt; which is slightly easier to 
+supported graph format is std::map&lt;int, std::set&lt;int&gt; &gt; which is slightly easier to 
 work with, but potentially more expensive.&nbsp; Improving the interface to 
 support more generic graph concepts is deferred to future work.<p>The following 
 is the declaration of the connectivity extraction algorithm.<p>
Index: doc/gtl_connectivity_extraction_45.htm
===================================================================
--- doc/gtl_connectivity_extraction_45.htm	(revision 55867)
+++ doc/gtl_connectivity_extraction_45.htm	(working copy)
@@ -69,7 +69,7 @@
 an edge exists in the graph.&nbsp; It is required that such vector pre-allocate 
 sufficient elements to store the graph generated by the algorithm, because only 
 the operator[] is used internally to access the graph&nbsp;&nbsp; The other 
-supported graph format is std::map&lt;std::set&lt;int&gt; &gt; which is slightly easier to 
+supported graph format is std::map&lt;int, std::set&lt;int&gt; &gt; which is slightly easier to 
 work with, but potentially more expensive.&nbsp; Improving the interface to 
 support more generic graph concepts is deferred to future work.<p>The following 
 is the declaration of the connectivity extraction algorithm.<p>
Index: doc/gtl_connectivity_extraction_90.htm
===================================================================
--- doc/gtl_connectivity_extraction_90.htm	(revision 55867)
+++ doc/gtl_connectivity_extraction_90.htm	(working copy)
@@ -69,7 +69,7 @@
 an edge exists in the graph.&nbsp; It is required that such vector pre-allocate 
 sufficient elements to store the graph generated by the algorithm, because only 
 the operator[] is used internally to access the graph&nbsp;&nbsp; The other 
-supported graph format is std::map&lt;std::set&lt;int&gt; &gt; which is slightly easier to 
+supported graph format is std::map&lt;int, std::set&lt;int&gt; &gt; which is slightly easier to 
 work with, but potentially more expensive.&nbsp; Improving the interface to 
 support more generic graph concepts is deferred to future work.<p>The following 
 is the declaration of the connectivity extraction algorithm.<p>
Index: doc/gtl_coordinate_concept.htm
===================================================================
--- doc/gtl_coordinate_concept.htm	(revision 55867)
+++ doc/gtl_coordinate_concept.htm	(working copy)
@@ -86,14 +86,14 @@
 &nbsp;&nbsp;&nbsp;&nbsp; typedef long long coordinate_difference;<br>
 &nbsp;&nbsp;&nbsp;&nbsp; typedef long double coordinate_distance;<br>
 };</font><p> 
-By making use the the coordinate traits of int the library is able to avoid 
+By making use of the coordinate traits of int the library is able to avoid 
 overflow and handle the normal issues encountered when programming integer 
 geometry.&nbsp; For the out of the ordinary issues there is a special 
 meta-function that provides the library with a numerical type suitable for exact 
 numerical calculations.&nbsp; It defaults to the highest precision data type 
 available in most compilers, long double, but can be overridden by specializing 
 for a particular coordinate type.&nbsp; Use of gmp multi-precision rational or 
-similar data type is reccomended for numerically robust calculations in the 
+similar data type is recommended for numerically robust calculations in the 
 general polygon algorithms.<p> 
 <font face="Courier New">template &lt;typename T&gt;<br>
 struct high_precision_type {<br>
Index: doc/gtl_design_overview.htm
===================================================================
--- doc/gtl_design_overview.htm	(revision 55867)
+++ doc/gtl_design_overview.htm	(working copy)
@@ -123,7 +123,7 @@
 specializing the geometry_concept meta-function.&nbsp; Once mapped and 
 registered, a user data type can be used interchangeably with library data types 
 in the generic free functions that are overloaded on concept.<p>Traits for 
-mapping a data type to a concept a broken down into mutable and read only 
+mapping a data type to a concept are broken down into mutable and read only 
 traits.&nbsp; Read only traits are specialized internally to work with any types 
 that are refinements of a concept.&nbsp; The mutable traits are defined only for 
 objects that exactly model the concept.&nbsp; Both read only traits and mutable 
Index: doc/gtl_interval_concept.htm
===================================================================
--- doc/gtl_interval_concept.htm	(revision 55867)
+++ doc/gtl_interval_concept.htm	(working copy)
@@ -434,7 +434,7 @@
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New"><b>interval_data</b>(const 
-		interval_data* that)</font></td>
+		interval_data&amp; that)</font></td>
 		<td><font face="Times New Roman">Copy construct</font></td>
 	</tr>
 	<tr>
Index: doc/gtl_isotropy.htm
===================================================================
--- doc/gtl_isotropy.htm	(revision 55867)
+++ doc/gtl_isotropy.htm	(working copy)
@@ -180,7 +180,7 @@
 		<td width="586">
 <font face="Courier New">unsigned int <b>to_int</b>() const</font></td>
 		<td>Convert to the integer enum value of current state to use as index.&nbsp; 
-		Auto-cast to int is disallows for type safety reasons.</td>
+		Auto-cast to int is disallowed for type safety reasons.</td>
 	</tr>
 	<tr>
 		<td width="586">
@@ -243,7 +243,7 @@
 		<td width="586">
 <font face="Courier New">unsigned int <b>to_int</b>() const</font></td>
 		<td>Convert to the integer enum value of current state to use as index.&nbsp; 
-		Auto-cast to int is disallows for type safety reasons</td>
+		Auto-cast to int is disallowed for type safety reasons</td>
 	</tr>
 	<tr>
 		<td width="586">
@@ -303,7 +303,7 @@
 		<td width="586">
 <font face="Courier New">unsigned int <b>to_int</b>() const</font></td>
 		<td>Convert to the integer enum value of current state to use as index.&nbsp; 
-		Auto-cast to int is disallows for type safety reasons.</td>
+		Auto-cast to int is disallowed for type safety reasons.</td>
 	</tr>
 	<tr>
 		<td width="586">
@@ -408,7 +408,7 @@
 		<td width="586">
 <font face="Courier New">unsigned int <b>to_int</b>() const</font></td>
 		<td>Convert to the integer enum value of current state to use as index.&nbsp; 
-		Auto-cast to int is disallows for type safety reasons</td>
+		Auto-cast to int is disallowed for type safety reasons</td>
 	</tr>
 	<tr>
 		<td width="586">
@@ -420,7 +420,7 @@
 <h2>direction_3d</h2>
 
 <p> 
-<p align="left">The direction_3d data type has four possible states.&nbsp; These 
+<p align="left">The direction_3d data type has six possible states.&nbsp; These 
 are the cardinal directions of the 3D Cartesian coordinate system.&nbsp;&nbsp; 
 These states can be described by one of the direction_2d_enum values or the 
 direction_3d_enum values:</p>
@@ -467,7 +467,7 @@
 		<td width="586">
 <font face="Courier New">unsigned int <b>to_int</b>() const</font></td>
 		<td>Convert to the integer enum value of current state to use as index.&nbsp; 
-		Auto-cast to int is disallows for type safety reasons.</td>
+		Auto-cast to int is disallowed for type safety reasons.</td>
 	</tr>
 	<tr>
 		<td width="586">
Index: doc/gtl_point_concept.htm
===================================================================
--- doc/gtl_point_concept.htm	(revision 55867)
+++ doc/gtl_point_concept.htm	(working copy)
@@ -69,7 +69,7 @@
 point&nbsp; concept.<p> 
 <font face="Courier New">template &lt;&gt;<br>
 struct geometry_concept&lt;CPoint&gt; { typedef point_concept type; };</font><p> 
-<font face="Times New Roman">The semantic of an point is that it has an x and y 
+<font face="Times New Roman">The semantic of a point is that it has an x and y 
 coordinate.&nbsp; A std::pair&lt;int, int&gt;, boost::tuple&lt;int, int&gt; or boost::array&lt;int, 2&gt; 
 could all be made models of point by simply providing indirect access to their 
 elements through traits, however, these objects cannot be made a model of both 
@@ -243,7 +243,7 @@
 	<tr>
 		<td width="586"><font face="Courier New">template &lt;typename T1, typename 
 		T2&gt;<br>
-		coordinate_distance <b>manhattan_distance</b>(const T1&amp;,<br>
+		coordinate_difference <b>manhattan_distance</b>(const T1&amp;,<br>
 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
 		const T2&amp;)</font></td>
 		<td>Returns the distance in x plus the distance in y from an object that 
@@ -252,7 +252,7 @@
 	<tr>
 		<td width="586"><font face="Courier New">template &lt;typename T1, typename 
 		T2&gt;<br>
-		coordinate_distance <b>distance_squared</b>(const T1&amp;,<br>
+		coordinate_difference <b>distance_squared</b>(const T1&amp;,<br>
 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
 		const T2&amp;)</font></td>
 		<td>Returns the square of the distance in x plus the square of the 
Index: doc/gtl_polygon_45_concept.htm
===================================================================
--- doc/gtl_polygon_45_concept.htm	(revision 55867)
+++ doc/gtl_polygon_45_concept.htm	(working copy)
@@ -267,7 +267,7 @@
 <p> 
 <p>The library provides a model of polygon 45 concept declared
 <font face="Courier New">
-template&lt;typename T&gt; poolygon_45_data </font>where T is the coordinate type.</p>
+template&lt;typename T&gt; polygon_45_data </font>where T is the coordinate type.</p>
 <p>This data type is used internally when a 45-degree polygon is needed and is 
 available to the library user who finds it convenient to use a library polygon 
 data type instead of providing their own.&nbsp; The data type is implemented to 
@@ -292,12 +292,12 @@
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New"><b>polygon_45_data</b>(const 
-		poolygon_45_data* that)</font></td>
+		polygon_45_data&amp; that)</font></td>
 		<td><font face="Times New Roman">Copy construct</font></td>
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New">polygon_45_data&amp; <b>operator=</b>(const 
-		poolygon_45_data&amp; that)</font></td>
+		polygon_45_data&amp; that)</font></td>
 		<td>Assignment operator.</td>
 	</tr>
 	<tr>
Index: doc/gtl_polygon_45_set_concept.htm
===================================================================
--- doc/gtl_polygon_45_set_concept.htm	(revision 55867)
+++ doc/gtl_polygon_45_set_concept.htm	(working copy)
@@ -61,7 +61,7 @@
 </p><h1>Polygon 45 Set Concept</h1>
 
 <p> 
-<p>The polygon 45 set concept tag is <font face="Courier New">
+<p>The polygon_45_set concept tag is <font face="Courier New">
 polygon_45_set_concept</font></p>
 <p> 
 <font face="Times New Roman">The semantic of a polygon_45_set is zero or more 
@@ -76,7 +76,7 @@
 45-degree angles and is Manhattan a runtime check will default to the Manhattan 
 algorithm.&nbsp; The results of which are identical to what the 45-degree 
 algorithm would do, but obtained more efficiently.</font><p> 
-<font face="Times New Roman">The motivation for providing the polygon 45 set is 
+<font face="Times New Roman">The motivation for providing the polygon_45_set is 
 to extend the special case of Manhattan geometry capability of the library to 
 encompass the slightly less common, but still important special case of geometry 
 that is described by angles that are multiples of 45-degress with respect to the 
@@ -304,20 +304,20 @@
 		<td width="586"><font face="Courier New">template &lt;typename T1, typename 
 		T2&gt;<br>
 		T1&amp; <b>interact</b>(T1&amp; a, const T2&amp; b)</font></td>
-		<td>Given an object that models polygon 45 set and an object that models 
-		polygon 45 set or one of its refinements, modifies a to retain only 
+		<td>Given an object that models polygon_45_set and an object that models 
+		polygon_45_set or one of its refinements, modifies a to retain only 
 		regions that overlap or touch regions in b.</td>
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New">template &lt;typename T&gt;<br>
 		T&amp; <b>self_intersect</b>(T&amp; polygon_set)</font></td>
-		<td>Given an object that models polygon 45 set that has self overlapping 
+		<td>Given an object that models polygon_45_set that has self overlapping 
 		regions, modifies the argument to contain only the regions of overlap.</td>
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New">template &lt;typename T&gt;<br>
 		T&amp; <b>self_xor</b>(T&amp; polygon_set)</font></td>
-		<td>Given an object that models polygon 45 set that has self overlapping 
+		<td>Given an object that models polygon_45_set that has self overlapping 
 		regions, modifies the argument to contain only the regions that do not 
 		overlap.</td>
 	</tr>
Index: doc/gtl_polygon_45_with_holes_concept.htm
===================================================================
--- doc/gtl_polygon_45_with_holes_concept.htm	(revision 55867)
+++ doc/gtl_polygon_45_with_holes_concept.htm	(working copy)
@@ -61,7 +61,7 @@
 </p><h1>Polygon 45 With Holes Concept</h1>
 
 <p> 
-<p>The polygon_45 concept tag is <font face="Courier New">
+<p>The polygon_45_with_holes concept tag is <font face="Courier New">
 polygon_45_with_holes_concept</font></p>
 <p> 
 To register a user defined type as a model of  
@@ -278,7 +278,7 @@
 <p> 
 <p>The library provides a model of polygon 45 with holes concept declared
 <font face="Courier New">
-template&lt;typename T&gt; poolygon_45_with_holes_data </font>where T is the 
+template&lt;typename T&gt; polygon_45_with_holes_data </font>where T is the 
 coordinate type.</p>
 <p>This data type is used internally when a 45 degree polygon with holes is 
 needed and is available to the library user who finds it convenient to use a 
@@ -309,12 +309,12 @@
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New"><b>polygon_45_with_holes_data</b>(const 
-		poolygon_45_with_holes_data* that)</font></td>
+		polygon_45_with_holes_data&amp; that)</font></td>
 		<td><font face="Times New Roman">Copy construct</font></td>
 	</tr>
 	<tr>
-		<td width="586"><font face="Courier New">poolygon_45_with_holes_data&amp; <b>
-		<br>operator=</b>(const poolygon_45_with_holes_data&amp; that)</font></td>
+		<td width="586"><font face="Courier New">polygon_45_with_holes_data&amp; <b>
+		<br>operator=</b>(const polygon_45_with_holes_data&amp; that)</font></td>
 		<td>Assignment operator.</td>
 	</tr>
 	<tr>
Index: doc/gtl_polygon_90_concept.htm
===================================================================
--- doc/gtl_polygon_90_concept.htm	(revision 55867)
+++ doc/gtl_polygon_90_concept.htm	(working copy)
@@ -128,14 +128,14 @@
 <table border="1" width="100%" id="table1">
 	<tr>
 		<td width="586"><font face="Courier New">template &lt;typename T&gt;<br>
-		iterator_type <b>begin_compact</b>(const T&amp; polygon)</font></td>
+		compact_iterator_type <b>begin_compact</b>(const T&amp; polygon)</font></td>
 		<td><font face="Times New Roman">Expects a model of polygon_90.&nbsp; 
 		Returns the begin iterator over the range of coordinates that correspond 
 		to horizontal and vertical edges.</font></td>
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New">template &lt;typename T&gt;<br>
-		iterator_type <b>end_compact</b>(const T&amp; polygon)</font></td>
+		compact_iterator_type <b>end_compact</b>(const T&amp; polygon)</font></td>
 		<td><font face="Times New Roman">Expects a model of polygon_90.&nbsp; 
 		Returns the end iterator over the range of coordinates that correspond 
 		to horizontal and vertical edges.</font></td>
@@ -275,7 +275,7 @@
 <p> 
 <p>The library provides a model of polygon 90 concept declared
 <font face="Courier New">
-template&lt;typename T&gt; poolygon_90_data </font>where T is the coordinate type.</p>
+template&lt;typename T&gt; polygon_90_data </font>where T is the coordinate type.</p>
 <p>This data type is used internally when a Manhattan polygon is needed and is 
 available to the library user who finds it convenient to use a library polygon 
 data type instead of providing their own.&nbsp; The data type is implemented to 
@@ -307,12 +307,12 @@
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New"><b>polygon_90_data</b>(const 
-		poolygon_90_data* that)</font></td>
+		polygon_90_data&amp; that)</font></td>
 		<td><font face="Times New Roman">Copy construct</font></td>
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New">polygon_90_data&amp; <b>operator=</b>(const 
-		poolygon_90_data&amp; that)</font></td>
+		polygon_90_data&amp; that)</font></td>
 		<td>Assignment operator.</td>
 	</tr>
 	<tr>
Index: doc/gtl_polygon_90_set_concept.htm
===================================================================
--- doc/gtl_polygon_90_set_concept.htm	(revision 55867)
+++ doc/gtl_polygon_90_set_concept.htm	(working copy)
@@ -61,10 +61,10 @@
 </p><h1>Polygon 90 Set Concept</h1>
 
 <p> 
-<p>The polygon 90 set concept tag is <font face="Courier New">
+<p>The polygon_90_set concept tag is <font face="Courier New">
 polygon_90_set_concept</font></p>
 <p> 
-<font face="Times New Roman">The semantic of a polygon 90 set is zero or more 
+<font face="Times New Roman">The semantic of a polygon_90_set is zero or more 
 Manhattan geometry regions.</font><p> 
 <font face="Times New Roman">The motivation for providing the 
 polygon_90_set_concept is that it is a very common special case of planar 
@@ -79,7 +79,7 @@
 rectangle_concept are automatically models of polygon_90_set_concept.</p>
 <h2>Operators</h2>
 <p>The return type of some operators is the <font face="Courier New">polygon_90_set_view</font> 
-operator template type.&nbsp; This type is itself a model of the polygon 90 set 
+operator template type.&nbsp; This type is itself a model of the polygon_90_set 
 concept, but furthermore can be used as an argument to the <font face="Courier New">polygon_90_set_data</font> 
 constructor and assignment operator.&nbsp; The operator template exists to 
 eliminate temp copies of intermediate results when Boolean operators are chained 
@@ -279,20 +279,20 @@
 		<td width="586"><font face="Courier New">template &lt;typename T1, typename 
 		T2&gt;<br>
 		T1&amp; <b>interact</b>(T1&amp; a, const T2&amp; b)</font></td>
-		<td>Given an object that models polygon 90 set and an object that models 
-		polygon 90 set or one of its refinements, modifies a to retain only 
+		<td>Given an object that models polygon_90_set and an object that models 
+		polygon_90_set or one of its refinements, modifies a to retain only 
 		regions that overlap or touch regions in b.</td>
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New">template &lt;typename T&gt;<br>
 		T&amp; <b>self_intersect</b>(T&amp; polygon_set)</font></td>
-		<td>Given an object that models polygon 90 set that has self overlapping 
+		<td>Given an object that models polygon_90_set that has self overlapping 
 		regions, modifies the argument to contain only the regions of overlap.</td>
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New">template &lt;typename T&gt;<br>
 		T&amp; <b>self_xor</b>(T&amp; polygon_set)</font></td>
-		<td>Given an object that models polygon 90 set that has self overlapping 
+		<td>Given an object that models polygon_90_set that has self overlapping 
 		regions, modifies the argument to contain only the regions that do not 
 		overlap.</td>
 	</tr>
Index: doc/gtl_polygon_90_with_holes_concept.htm
===================================================================
--- doc/gtl_polygon_90_with_holes_concept.htm	(revision 55867)
+++ doc/gtl_polygon_90_with_holes_concept.htm	(working copy)
@@ -61,7 +61,7 @@
 </p><h1>Polygon 90 With Holes Concept</h1>
 
 <p> 
-<p>The polygon_90 concept tag is <font face="Courier New">
+<p>The polygon_90_with_holes concept tag is <font face="Courier New">
 polygon_90_with_holes_concept</font></p>
 <p> 
 To register a user defined type as a model of  
@@ -119,14 +119,14 @@
 <table border="1" width="100%" id="table1">
 	<tr>
 		<td width="586"><font face="Courier New">template &lt;typename T&gt;<br>
-		iterator_type <b>begin_compact</b>(const T&amp; polygon)</font></td>
+		compact_iterator_type <b>begin_compact</b>(const T&amp; polygon)</font></td>
 		<td><font face="Times New Roman">Expects a model of polygon_90.&nbsp; 
 		Returns the begin iterator over the range of coordinates that correspond 
 		to horizontal and vertical edges.</font></td>
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New">template &lt;typename T&gt;<br>
-		iterator_type <b>end_compact</b>(const T&amp; polygon)</font></td>
+		compact_iterator_type <b>end_compact</b>(const T&amp; polygon)</font></td>
 		<td><font face="Times New Roman">Expects a model of polygon_90.&nbsp; 
 		Returns the end iterator over the range of coordinates that correspond 
 		to horizontal and vertical edges.</font></td>
@@ -300,7 +300,7 @@
 <p> 
 <p>The library provides a model of polygon 90 with holes concept declared
 <font face="Courier New">
-template&lt;typename T&gt; poolygon_90_with_holes_data </font>where T is the 
+template&lt;typename T&gt; polygon_90_with_holes_data </font>where T is the 
 coordinate type.</p>
 <p>This data type is used internally when a Manhattan polygon with holes is 
 needed and is available to the library user who finds it convenient to use a 
@@ -338,12 +338,12 @@
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New"><b>polygon_90_with_holes_data</b>(const 
-		poolygon_90_with_holes_data* that)</font></td>
+		polygon_90_with_holes_data&amp; that)</font></td>
 		<td><font face="Times New Roman">Copy construct</font></td>
 	</tr>
 	<tr>
-		<td width="586"><font face="Courier New">poolygon_90_with_holes_data&amp; <b>
-		<br>operator=</b>(const poolygon_90_with_holes_data&amp; that)</font></td>
+		<td width="586"><font face="Courier New">polygon_90_with_holes_data&amp; <b>
+		<br>operator=</b>(const polygon_90_with_holes_data&amp; that)</font></td>
 		<td>Assignment operator.</td>
 	</tr>
 	<tr>
Index: doc/gtl_polygon_concept.htm
===================================================================
--- doc/gtl_polygon_concept.htm	(revision 55867)
+++ doc/gtl_polygon_concept.htm	(working copy)
@@ -269,7 +269,7 @@
 <p> 
 <p>The library provides a model of polygon concept declared
 <font face="Courier New">
-template&lt;typename T&gt; poolygon_data </font>where T is the coordinate type.</p>
+template&lt;typename T&gt; polygon_data </font>where T is the coordinate type.</p>
 <p>This data type is used internally when a polygon is needed and is available 
 to the library user who finds it convenient to use a library polygon data type 
 instead of providing their own.&nbsp; The data type is implemented to be 
@@ -297,12 +297,12 @@
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New"><b>polygon_data</b>(const 
-		poolygon_data* that)</font></td>
+		polygon_data&amp; that)</font></td>
 		<td><font face="Times New Roman">Copy construct</font></td>
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New">polygon_data&amp; <b>operator=</b>(const 
-		poolygon_data&amp; that)</font></td>
+		polygon_data&amp; that)</font></td>
 		<td>Assignment operator.</td>
 	</tr>
 	<tr>
Index: doc/gtl_polygon_set_concept.htm
===================================================================
--- doc/gtl_polygon_set_concept.htm	(revision 55867)
+++ doc/gtl_polygon_set_concept.htm	(working copy)
@@ -61,7 +61,7 @@
 </p><h1>Polygon Set Concept</h1>
 
 <p> 
-<p>The polygon set concept tag is <font face="Courier New">
+<p>The polygon_set concept tag is <font face="Courier New">
 polygon_set_concept</font></p>
 <p> 
 <font face="Times New Roman">The semantic of a polygon_set is zero or more 
Index: doc/gtl_polygon_with_holes_concept.htm
===================================================================
--- doc/gtl_polygon_with_holes_concept.htm	(revision 55867)
+++ doc/gtl_polygon_with_holes_concept.htm	(working copy)
@@ -61,7 +61,7 @@
 </p><h1>Polygon With Holes Concept</h1>
 
 <p> 
-<p>The polygon concept tag is <font face="Courier New">
+<p>The polygon_with_holes concept tag is <font face="Courier New">
 polygon_with_holes_concept</font></p>
 <p> 
 To register a user defined type as a model of  
@@ -275,7 +275,7 @@
 <p> 
 <p>The library provides a model of polygon with holes concept declared
 <font face="Courier New">
-template&lt;typename T&gt; poolygon_with_holes_data </font>where T is the 
+template&lt;typename T&gt; polygon_with_holes_data </font>where T is the 
 coordinate type.</p>
 <p>This data type is used internally when a polygon with holes is 
 needed and is available to the library user who finds it convenient to use a 
@@ -306,12 +306,12 @@
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New"><b>polygon_with_holes_data</b>(const 
-		poolygon_with_holes_data* that)</font></td>
+		polygon_with_holes_data&amp; that)</font></td>
 		<td><font face="Times New Roman">Copy construct</font></td>
 	</tr>
 	<tr>
-		<td width="586"><font face="Courier New">poolygon_with_holes_data&amp; <b>
-		<br>operator=</b>(const poolygon_with_holes_data&amp; that)</font></td>
+		<td width="586"><font face="Courier New">polygon_with_holes_data&amp; <b>
+		<br>operator=</b>(const polygon_with_holes_data&amp; that)</font></td>
 		<td>Assignment operator.</td>
 	</tr>
 	<tr>
Index: doc/gtl_rectangle_concept.htm
===================================================================
--- doc/gtl_rectangle_concept.htm	(revision 55867)
+++ doc/gtl_rectangle_concept.htm	(working copy)
@@ -119,7 +119,7 @@
 <table border="1" width="100%" id="table1">
 	<tr>
 		<td width="586"><font face="Courier New">template &lt;typename T&gt;<br>
-		interval_type <b>get</b>(const T&amp; rectangle, orientatin_2d)</font></td>
+		interval_type <b>get</b>(const T&amp; rectangle, orientation_2d)</font></td>
 		<td><font face="Times New Roman">Expects a model of rectangle.&nbsp; 
 		Returns the x interval or y interval of the rectangle, depending on the 
 		orientation_2d value.</font><font face="Courier New"><br>
@@ -135,7 +135,7 @@
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New">template &lt;typename T&gt;<br>
-		interval_type <b>get</b>(const T&amp; rectangle, orientatin_2d, 
+		interval_type <b>get</b>(const T&amp; rectangle, orientation_2d, 
 		<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; direction_1d)</font></td>
 		<td><font face="Times New Roman">Expects a model of rectangle.&nbsp; 
 		Returns the coordinate specificed by the direction_1d value of the x interval or y interval of the rectangle, depending on the 
@@ -551,7 +551,7 @@
 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
 		bool consider_touch = true) </font></td>
 		<td>Sets rectangle a to the intersection of rectangle a and interval b 
-		along the orinetation_2d 
+		along the orientation_2d 
 		and returns true.&nbsp; If the does not intersect the interval, the 
 		rectangle is unchanged and the function returns false.&nbsp; If the flag consider_touch is true 
 		intervals that abut are considered to intersect.</td>
@@ -684,7 +684,7 @@
 	</tr>
 	<tr>
 		<td width="586"><font face="Courier New"><b>rectangle_data</b>(const 
-		rectangle_data* that)</font></td>
+		rectangle_data&amp; that)</font></td>
 		<td><font face="Times New Roman">Copy construct</font></td>
 	</tr>
 	<tr>
